<?php
 
class MyMember extends DataObjectDecorator {
 
	function extraStatics() {
		return array(
			'has_many' => array(
				'Pets' => 'Pet'
			)
		);
	}
 
	public function updateCMSFields(FieldSet $fields) {
		$owner = $this->getOwner();
		$pets = new ComplexTableField(
			$controller = $owner,
			$name = 'Pets',
			$sourceClass = 'Pet',
			$fieldList = array('Name' => 'Name', 'DateOfBirth' => 'DOB'),
			$detailFormFields = 'getCMSFields',
			$sourceFilter = "`OwnerID` = '{$owner->ID}'"
		);
		$fields->addFieldToTab("Root.Pets", $pets);
	}

}
