<?php

class Pet extends DataObject {

	public static $db = array(
		'Name' => 'Text',
		'DateOfBirth' => 'Date'
	);

	public static $has_one = array(
		 'Owner' => 'Member'
	);

	public static $many_many = array(
		'Treatments' => 'Treatment'
	);

	function getCMSFields() {
		$fields = parent::getCMSFields(array('include_relations' => false));
		$dateOfBirth = new DateField('DateOfBirth', 'Birth Date');
		$dateOfBirth->setConfig('showcalendar', true);
		$fields->addFieldsToTab('Root.Main', array(
			new TextField('Name'),
			$dateOfBirth
		));
		$treatments = new ManyManyComplexTableField(
			$controller = $this,
			$name = 'Treatments',
			$sourceClass = 'Treatment',
			$fieldList = array('Name' => 'Name')
		);
		$treatments->setParentClass('Pet');
		$treatments->setPermissions(array());
		$fields->addFieldsToTab('Root.Treatments', array(
			$treatments
		));
		return $fields;
	}

}
